Package org.apache.sling.scripting.sightly.testing.use

## Class Test

- java.lang.Object
- - org.apache.sling.scripting.sightly.testing.use.Test

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.pojo.Use`

    public class Test
    extends Object
    implements org.apache.sling.scripting.sightly.pojo.Use

### Field Summary

Fields
`static String` `INCLUDE_CHIDLREN`
`static String` `PROPERTIES`
`static String` `TAG`
`static String` `TEXT`

### Constructor Summary

Constructors
`Test()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<org.apache.sling.api.resource.Resource>` `getChildren()`
`Date` `getDate()`
`String` `getEndTag()`
`boolean` `getIncludeChildren()`
`String` `getStartTag()`
`String` `getTag()`
`String` `getText()`
`void` `init​(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTIES

    public static final String PROPERTIES

See Also:
  Constant Field Values

#### TEXT

    public static final String TEXT

See Also:
  Constant Field Values

#### TAG

    public static final String TAG

See Also:
  Constant Field Values

#### INCLUDE_CHIDLREN

    public static final String INCLUDE_CHIDLREN

See Also:
  Constant Field Values

### Constructor Detail

#### Test

    public Test()

### Method Detail

#### init

    public void init​(Bindings bindings)

Specified by:
  `init` in interface `org.apache.sling.scripting.sightly.pojo.Use`

#### getText

    public String getText()

#### getTag

    public String getTag()

#### getStartTag

    public String getStartTag()

#### getEndTag

    public String getEndTag()

#### getIncludeChildren

    public boolean getIncludeChildren()

#### getChildren

    public Iterator<org.apache.sling.api.resource.Resource> getChildren()

#### getDate

    public Date getDate()